VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 3
声望: 1

代码更新到官方版本2.8 后运行出错了,有遇到类似的吗?mac和 ubuntu 都是同样错误

Traceback (most recent call last):
  File "main.py", line 4, in <module>
    from vnpy.trader.engine import MainEngine
  File "/Users/apple/opt/anaconda3/envs/vnpy37/lib/python3.7/site-packages/vnpy/trader/engine.py", line 45, in <module>
    from .setting import SETTINGS
  File "/Users/apple/opt/anaconda3/envs/vnpy37/lib/python3.7/site-packages/vnpy/trader/setting.py", line 9, in <module>
    from .utility import load_json
  File "/Users/apple/opt/anaconda3/envs/vnpy37/lib/python3.7/site-packages/vnpy/trader/utility.py", line 14, in <module>
    import talib
  File "/Users/apple/opt/anaconda3/envs/vnpy37/lib/python3.7/site-packages/talib/__init__.py", line 93, in <module>
    from ._ta_lib import (
  File "talib/_ta_lib.pyx", line 1, in init talib._ta_lib
ValueError: numpy.ndarray size changed, may indicate binary incompatibility. Expected 88 from C header, got 80 from PyObject
Member
avatar
加入于:
帖子: 3
声望: 1

我也碰到这个问题了,我的是mac

我记得是用用brew 安装了一下ta_lib就好了,你试试

Member
avatar
加入于:
帖子: 3
声望: 1

faotbgs wrote:

我也碰到这个问题了,我的是mac

我记得是用用brew 安装了一下ta_lib就好了,你试试

你的方法有效,感谢!

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】